LibreOffice LibreOffice 25.2 SDK API Reference

Included Services | Public Attributes | List of all members
Table Service Referencepublished

extends the service com::sun::star::sdbcx::Table with additional display information, sorting, and filtering criteria. More...

`import"Table.idl";`

Inheritance diagram for Table:

## Included Services
service | com::sun::star::sdbcx::Table
service | com::sun::star::sdb::DataSettings
| is used for customization of data appearance. More...

## Public Attributes
long | Privileges
| indicates the privileges for the table. More...
Public Attributes inherited from Table
string | Name
| is the name of the table. More...
string | CatalogName
| is the name of the table catalog. More...
string | SchemaName
| is the name of the table schema. More...
string | Description
| supplies a comment on the table. More...
string | Type
| indicates the type of the table like (TABLE, VIEW, SYSTEM TABLE). More...
Public Attributes inherited from DataSettings
string | Filter
| additional filter for the data object. More...
boolean | ApplyFilter
| indicates whether the filter should be applied or not, default is `FALSE`. More...
string | Order
| is an additional sort order definition. More...
com::sun::star::awt::FontDescriptor | FontDescriptor
| specifies the font attributes for data displaying. More...
long | RowHeight
| specifies the height of a data row. More...
com::sun::star::util::Color | TextColor
| specifies the text color (RGB) for displaying text. More...
string | HavingClause
| additional having clause for the data object. More...
string | GroupBy
| additional group by for the data object. More...

## Additional Inherited Members
Exported Interfaces inherited from Table
interface | XDataDescriptorFactory
| optional, could be used to copy a table. More...
interface | XColumnsSupplier
| access to the contained table columns. More...
interface | XIndexesSupplier
| optional, provides the access of the table indexes. More...
interface | XKeysSupplier
| optional, provides the access to the table keys. More...
interface | XRename
| optional, allows the renaming of tables. More...
interface | XAlterTable
| optional, allows the altering of columns. More...
interface | com::sun::star::beans::XPropertySet
Public Member Functions inherited from XColumnsSupplier
com::sun::star::container::XNameAccess | getColumns ()
| returns the container of columns. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Protected Member Functions inherited from XDataDescriptorFactory
com::sun::star::beans::XPropertySet | createDataDescriptor ()
| returns a descriptor of a definition object. More...
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XColumnsSupplier
com::sun::star::container::XNameAccess | getColumns ()
| returns the container of columns. More...
Protected Member Functions inherited from XIndexesSupplier
com::sun::star::container::XNameAccess | getIndexes ()
| returns the container of indexes. More...
Protected Member Functions inherited from XKeysSupplier
com::sun::star::container::XIndexAccess | getKeys ()
| returns the container of keys. More...
Protected Member Functions inherited from XRename
void | rename ([in]string newName) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::ElementExistException)
| is intended to alter the name of an object. More...
Protected Member Functions inherited from XAlterTable
void | alterColumnByName ([in]string colName, [in]com::sun::star::beans::XPropertySet descriptor) raises (com::sun::star::sdbc::SQLException, com::sun::star::container::NoSuchElementException)
| is intended to alter an existing column identified by its name. More...
void | alterColumnByIndex ([in]long index, [in]com::sun::star::beans::XPropertySet descriptor) raises (com::sun::star::sdbc::SQLException, com::sun::star::lang::IndexOutOfBoundsException)
| is intended to alter an existing column identified by its position. More...
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...

## Detailed Description

extends the service com::sun::star::sdbcx::Table with additional display information, sorting, and filtering criteria.

Developers Guide
  Database Access - Tables and Columns

## Exported Interfaces

## ◆ com::sun::star::sdb::DataSettings

service com::sun::star::sdb::DataSettings

is used for customization of data appearance.

## ◆ com::sun::star::sdbcx::Table

service com::sun::star::sdbcx::Table

## Member Data Documentation

## ◆ Privileges

long Privileges
| property readonly

indicates the privileges for the table.

See also
  com::sun::star::sdbcx::Privilege

The documentation for this service was generated from the following file:

- com/sun/star/sdb/Table.idl